Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Class SyndicationService

    java.lang.Object
      Service
          com.ibm.workplace.wcm.api.SyndicationService

All Implemented Interfaces:
  WcmSyndicationService

Deprecated.

    @Deprecated
    public abstract class SyndicationService

extends Service
implements WcmSyndicationService

SyndicationService enables access to control syndication between `Syndicator` and `Subscriber`.

To ensure that the service is available at runtime, the below line must be added to the services.properties file (<WPS profile home>\PortalServer\config\config\services.properties),

`com.ibm.workplace.wcm.api.SyndicationService = com.ibm.workplace.wcm.api.SyndicationServiceImpl`

Here is an example of how to retrieve the `SyndicationService`:``

     try
     {
        // Construct and inital Context
        InitialContext ctx = new InitialContext();

        // Retrieve SyndicationService using JNDI name
        SyndicationService syndicationService = (SyndicationService) ctx.lookup("portal:service/wcm/SyndicationService");
     }
     catch (NamingException ne)
     {
        System.out.print("Naming Exception: " + ne);
     }

Field Summary

Fields inherited from interface com.ibm.workplace.wcm.api.WcmSyndicationService
`JNDI_NAME`

Constructor Summary
`SyndicationService()` Deprecated. Constructor

Method Summary
`abstract Subscriber` | `getSubscriberByName(Workspace workspace, java.lang.String subscriberName)` Deprecated. Returns the `Subscriber` with the specified name, or `null` if a `Subscriber` with that name does not exist or the caller does not have access
`abstract java.util.Iterator<Subscriber>` | `getSubscribers(Workspace workspace)` Deprecated. Returns an iterator of all `Subscriber` objects visible to the user of the `Workspace`.
`abstract Syndicator` | `getSyndicatorByName(Workspace workspace, java.lang.String syndicatorName)` Deprecated. Returns the `Syndicator` with the specified name, or `null` if a `Syndicator` with that name does not exist or the caller does not have access
`abstract java.util.Iterator<Syndicator>` | `getSyndicators(Workspace workspace)` Deprecated. Returns an iterator of all `Syndicator` objects visible to the user of the `Workspace`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyndicationService

    public SyndicationService()

  Deprecated.
  Constructor

Method Detail

### getSyndicators

    public abstract java.util.Iterator<Syndicator> getSyndicators(Workspace workspace)

  Deprecated.
  Returns an iterator of all `Syndicator` objects visible to the user of the `Workspace`.

  Specified by:
    `getSyndicators` in interface `WcmSyndicationService`
  Parameters:
    `workspace` - the workspace
  Returns:
    an iterator of `Syndicator` objects
  Since:
    6.1

### getSyndicatorByName

    public abstract Syndicator getSyndicatorByName(Workspace workspace,
                                                   java.lang.String syndicatorName)

  Deprecated.
  Returns the `Syndicator` with the specified name, or `null` if a `Syndicator` with that name does not exist or the caller does not have access

  Specified by:
    `getSyndicatorByName` in interface `WcmSyndicationService`
  Parameters:
    `workspace` - the workspace
    `syndicatorName` - the name of the `Syndicator` to retrieve
  Returns:
    a `Syndicator` object representing the syndicator with the given name, or `null` if it does not exist.
  Since:
    6.1

### getSubscribers

    public abstract java.util.Iterator<Subscriber> getSubscribers(Workspace workspace)

  Deprecated.
  Returns an iterator of all `Subscriber` objects visible to the user of the `Workspace`.

  Specified by:
    `getSubscribers` in interface `WcmSyndicationService`
  Parameters:
    `workspace` - the workspace
  Returns:
    an iterator of `Subscriber` objects
  Since:
    6.1

### getSubscriberByName

    public abstract Subscriber getSubscriberByName(Workspace workspace,
                                                   java.lang.String subscriberName)

  Deprecated.
  Returns the `Subscriber` with the specified name, or `null` if a `Subscriber` with that name does not exist or the caller does not have access

  Specified by:
    `getSubscriberByName` in interface `WcmSyndicationService`
  Parameters:
    `workspace` - the workspace
    `subscriberName` - the name of the `Subscriber` to retrieve
  Returns:
    a `Subscriber` object representing the subscriber with the given name, or `null` if it does not exist.
  Since:
    6.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD